@use 'partials/variables/grid';
@use 'partials/variables/mobile-screen';
@use 'partials/variables/ratio';
@use 'partials/variables/card';
@use 'partials/classes/round-button';
@use 'partials/functions/calculations';
@use 'partials/mixins/card' as card-mixins;
@use 'partials/mixins/button-width';
@use 'partials/mixins/grid-layout';

// the search bar has a width of 4 columns and 3 gaps
$organization-search-bar-column-count: 4;
$organization-search-bar-width: calculations.calculateRatio(
  calculations.calculateWidth(
    grid.$grid-desktop-column-width,
    grid.$grid-desktop-column-gap,
    $organization-search-bar-column-count,
    $organization-search-bar-column-count
  ),
  grid.$grid-desktop-full-container-width,
  ratio.$percent-100
);


.organizations-overview-container {
  display: flex;
  flex-direction: column;
}

.headline {
  align-self: center;
  text-align: center;
}

.inner-toolbar-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.organization-search-bar {
  width: $organization-search-bar-width;
}

.organizations-container {
  width: grid.$grid-desktop-full-container-ratio;
}

.no-result {
  display: flex;
  justify-content: center;
  margin: 1em;
}


.button-align-icon {
  display: flex;
  align-items: center;
  gap: 10px;
}

.organization-create-button {
  @include button-width.set-button-width(258px);
  justify-content: center;
}

$grid-gap: 4em;
$grid-item-min-width: 300px;
$grid-column-count: 100;
.organizations-content {
  @include grid-layout.create-variable-grid($grid-item-min-width, $grid-gap, $grid-column-count);
  @include card-mixins.children(card.$card-size);
}

@media only screen and (max-width: mobile-screen.$max-mobile-width) {
  // the organization headline has a mobile width of 2 columns and 1 gap
  $organizations-mobile-headline-column-count: 2;
  $organizations-mobile-headline-width: calculations.calculateRatio(
    calculations.calculateWidth(
      grid.$grid-mobile-column-width,
      grid.$grid-mobile-column-gap,
      $organizations-mobile-headline-column-count
    ),
    grid.$grid-mobile-full-container-width,
    ratio.$percent-100
  );

  .headline {
    width: $organizations-mobile-headline-width;
  }

  .inner-toolbar-container {
    width: ratio.$percent-100;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding-top: 1em;
  }

  .organization-search-bar, .organizations-container, .organizations-content {
    width: ratio.$percent-100;
  }

  .organization-search-bar {
    padding-top: 1rem;
  }

  .organizations-content {
    gap: 2em;
  }
}
